Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #598

Export only selected Playlist items to new playlist
November 28, 2015 07:01 - Jim Turner

Status: Rejected Start date: November 28, 2015
Priority: Minor Due date:

Assignee: % Done: 0%

Category: libaudgui Estimated time: 0.00 hour

Target version: 3.8

Affects version: 3.7

Description

Would you consider altering the "Export Playlist" option to export only selected items to new playlist file IF items are actually selected
(as opposed to all current playlist items, as is the case now)? If none are selected, then keep as-is (export all) - (or else, tell me how
to do this in the gui). | have found no way to do this currently (create a new playlist that contains only selected items from a larger
playlist). I'd happily develop a patch, but | honestly haven't figured out how / where precicely in the program code the items are
actually saved to a playlist file.

Thanks!

Jim

History

#1 - November 28, 2015 15:03 - John Lindgren

Does the following not work?

1. Copy (Ctrl+C)
2. New Playlist (Ctrl+T)
3. Paste (Ctrl+V)
4. Export Playlist

#2 - November 28, 2015 17:55 - Jim Turner

Thank you for the quick reply and solution! Yes that works and does what | was needing to do. | normally use the WinAmp interface and a single
playlist, so it didn't occur to me to try creating a new playlist, then exporting. Also, for some reason in WinAmp interface it's Shift+N instead of Ctrl+T).
| still think it'd be a good to add a new "Export Selected" option, if it's fairly trivial to do. It looks like my original idea wouldn't work in the GTK
interface, since something is always "selected". What do you think would be best?

Regards,

Jim

#3 - November 29, 2015 06:41 - John Lindgren

| would rather not add a new command since the same thing is fairly easy to achieve with the copy-paste method.

#4 - November 29, 2015 07:35 - Jim Turner

No prob. Further examination shows me that this would likely be difficult to impliment anyway, as it appears that playlists are currently saved as
immutable objects rather than broken out as individual items. I'll stick w/the Copy-Paste method. Thanks for the tip, so you can close this request as
far as I'm concerned.
Cheers,

Jim

#5 - November 29, 2015 16:54 - John Lindgren

- Status changed from New to Rejected
